# Interface IMediaTransformation

#### Hierarchy

- IMediaTransformation

- Defined in file/media/media.ts:3

#####
Index

### Properties

flip?
height
rotation?
width

## Properties

### `Optional` `Readonly` flip

flip?: {
horizontal?: boolean;
vertical?: boolean;
}

#### Type declaration

- ##### `Optional` `Readonly` horizontal?: boolean

- ##### `Optional` `Readonly` vertical?: boolean

- Defined in file/media/media.ts:6

### `Readonly` height

height: number

- Defined in file/media/media.ts:5

### `Optional` `Readonly` rotation

rotation?: number

- Defined in file/media/media.ts:10

### `Readonly` width

width: number

- Defined in file/media/media.ts:4

Generated using TypeDoc